﻿/**
  * Macros used in damageLog:
  * Макросы используемые в damageLog:
   
    {{number}}            - line number / номер строки.
    {{dmg}}               - received damage / полученный урон.
    {{dmg-kind}}          - kind of the received damage (attack, fire, ramming, ...) / вид полученного урона (атака, пожар, таран, ...).
    {{c:dmg-kind}}        - color depending on the kind of damage / цвет в зависимости от вида полученного урона.
    {{type-shell}}        - shell kind / тип снаряда.
    {{c:type-shell}}      - color depending on shell kind / цвет в зависимости от типа снаряда.
    {{vtype}}             - vehicle type / тип техники.
    {{vehicle}}           - vehicle name / название техники.
    {{c:vtype}}           - color depending on vehicle type / цвет в зависимости от типа техники.
    {{c:team-dmg}}        - color depending on damage source (ally , enemy, self damage) / цвет в зависимости от источника урона (союзник, противник, урон по себе).
    {{c:costShell}}       - color depending on cost shell (gold, credits) / цвет в зависимости от стоимости снаряда (золото, кредиты).
    {{name}}              - nickname player who caused the damage / никнейм игрока, нанесшего урон.
    {{critical-hit}}      - critical hit / критическое попадание.
    {{c:hit-effects}}     - color depending on hit kind (with damage, ricochet, not penetrated, no damage) / цвет в зависимости от вида попадания (с уроном, рикошет, не пробито, без урона).
    {{costShell}}         - text depending on cost shell (gold, credits) / текст в зависимости от стоимости снаряда (золото, кредиты).
    {{comp-name}}         - name part of vehicle that was hit (turret, body, suspension, gun) / название части техники, в которую было попадание (башня, корпус, ходовая, орудие).
    {{clan}}              - clan name with brackets (empty if no clan) / название клана в скобках (пусто, если игрок не в клане).
    {{level}}             - vehicle level / уровень техники.
    {{clannb}}            - clan name without brackets / название клана без скобок.
    {{clanicon}}          - macro with clan embed image path value / макрос со значением пути эмблемы клана.
    {{squad-num}}         - number of squad (1,2,...), empty if not in squad / номер взвода (1,2,...), пусто - если игрок не во взводе.
    {{hit-effects}}       - kind of hit / вид попадания.
    {{dmg-ratio}}         - received damage in percent / полученный урон в процентах.
    {{team-dmg}}          - source of damage (ally , enemy, self damage) / источник урона (союзник, противник, урон по себе).
    {{splash-hit}}        - text when hit by splash damage from shell (HE/HESH) / текст при попадании осколков снаряда (ОФ/ХФ).
    {{my-alive}}          - value 'alive' if my vehicle is alive, '' for dead / возвращает 'alive', если я живой, '', если не живой
    {{reloadGun}}         - reloading time of a gun / время перезарядки орудия 
    {{gun-caliber}}       - caliber of a gun / калибр орудия
*/

{
  "damageLog": {
    "disabledDetailStats": true,
    "disabledSummaryStats": true,
    "saveLocationInBattle": false,
    "log": {
      "x": 240,
      "y": -23,
      "dmg-kind": {
        "shot": "<font color='{{c:costShell}}'>{{type-shell}}",                            // shot / попадание
        "fire": "<font face='xvm'>&#x51;</font>",            // fire / пожар
        "ramming": "<font face='xvm'>&#x52;</font>",         // ramming / таран
        "world_collision": "<font face='xvm'>&#x53;</font>", // world collision / столкновение с объектами, падение
        "drowning": "Dr",                                    // drowning / утопление
        "overturn": "<font face='xvm'>&#x112;</font>",       // overturn / опрокидывание
        "death_zone": "DZ",                                  // death zone / смертельная зона
        "gas_attack": "GA",                                  // gas attack / газовая атака
        "art_attack": "<font face='xvm'>&#x110;</font>",     // art attack / артиллерийская поддержка
        "air_strike": "<font face='xvm'>&#x111;</font>"      // air strike / поддержка авиации
      },
      "c:dmg-kind": {
        "shot": "#FFFFFF",       // shot / попадание
        "fire": "#C13301",                 // fire / пожар
        "ramming": "#DD7901",              // ramming / таран
        "world_collision": "#FECB24",      // world collision / столкновение с объектами, падение
        "drowning": "#FECB24",             // drowning / утопление
        "overturn": "#FECB24",             // overturn / опрокидывание
        "death_zone": "#FECB24",           // death zone / смертельная зона
        "gas_attack": "#DD7901",           // gas attack / газовая атака
        "art_attack": "#FFFFFF", // art attack / артиллерийская поддержка
        "air_strike": "#FFFFFF"  // air strike / поддержка авиации
      },
      "splash-hit":{
        "splash": "<font face='XVMSymbol'>,</font>", // splash damage / попадание осколков
        "no-splash": ""                             // no splash damage / нет попадания осколков
      },
      "type-shell": {
        "armor_piercing": "<font color='{{c:costShell}}'>{{l10n:armor_piercing}}</font>",       // armor piercing / бронебойный
        "high_explosive": "<font color='{{c:costShell}}'>{{l10n:high_explosive}}</font>",       // high explosive / осколочно-фугасный
        "armor_piercing_cr": "<font color='{{c:costShell}}'>{{l10n:armor_piercing_cr}}</font>", // armor piercing composite rigid / бронебойный подкалиберный
        "armor_piercing_he": "<font color='{{c:costShell}}'>{{l10n:armor_pier%cing_he}}</font>", // armor piercing high explosive / бронебойно-фугасный
        "hollow_charge": "<font color='{{c:costShell}}'>{{l10n:hollow_charge}}</font>",         // high explosive anti-tank / кумулятивный
        "not_shell": ""                                                                         // another source of damage / другой источник урона
      },
      "c:type-shell": {
        "armor_piercing": "#CCCCCC",    // armor piercing / бронебойный
        "high_explosive": "#CCCCCC",    // high explosive / осколочно-фугасный
        "armor_piercing_cr": "#FFCC66", // armor piercing composite rigid / бронебойный подкалиберный
        "armor_piercing_he": "#FFCC66", // armor piercing high explosive / бронебойно-фугасный
        "hollow_charge": "#FFCC66",     // high explosive anti-tank / кумулятивный
        "not_shell": "#FFFFFF"          // another source of damage / другой источник урона
      },
      "vtype": {
        "mediumTank": "<font face='xvm'>M</font>", // medium tank / средний танк
        "lightTank": "<font face='xvm'>L</font>",  // light tank / лёгкий танк
        "heavyTank": "<font face='xvm'>H</font>",  // heavy tank / тяжёлый танк
        "AT-SPG": "<font face='xvm'>T</font>",     // tank destroyer / ПТ-САУ
        "SPG": "<font face='xvm'>S</font>",        // SPG / САУ
        "not_vehicle": ""                               // another source of damage / другой источник урона
      },
      "c:vtype":{
        "mediumTank": "#FFF198", // medium tank / средний танк
        "lightTank": "#A2FF9A",  // light tank / лёгкий танк
        "heavyTank": "#FFACAC",  // heavy tank / тяжёлый танк
        "AT-SPG": "#A0CFFF",     // tank destroyer / ПТ-САУ
        "SPG": "#EFAEFF",        // SPG / САУ
        "not_vehicle": "#CCCCCC" // another source of damage / другой источник урона
      },
      "hit-effects": {
        "armor_pierced": "{{dmg}}",                                    // penetrated / пробито
        "intermediate_ricochet": "{{l10n:intermediate_ricochet}}",     // ricochet (intermediate) / рикошет (промежуточный)
        "final_ricochet": "{{l10n:final_ricochet}}",                   // ricochet / рикошет
        "armor_not_pierced": "{{l10n:armor_not_pierced}}",             // not penetrated / не пробито
        "armor_pierced_no_damage": "{{l10n:armor_pierced_no_damage}}", // no damage / без урона
        "unknown": "{{l10n:armor_pierced_no_damage}}"                  // unknown / неизвестно
      },
      "c:hit-effects": {
        "armor_pierced": "#FFFFFF",           // penetrated (damage) / пробито (урон)
        "intermediate_ricochet": "#CCCCCC",   // ricochet (intermediate) / рикошет (промежуточный)
        "final_ricochet": "#CCCCCC",          // ricochet / рикошет
        "armor_not_pierced": "#CCCCCC",       // not penetrated / не пробито
        "armor_pierced_no_damage": "#CCCCCC", // no damage / без урона
        "unknown": "#CCCCCC"                  // unknown / неизвестно
      },
      "critical-hit":{
        "critical": "<font face='XVMSymbol' color='#FFFFFF'>,</font>",  // critical hit / попадание с критическим повреждением
        "no-critical": "" // without critical hit / попадание без критического повреждения
      },
      "comp-name":{
        "turret": "{{l10n:turret}}",   // turret / башня
        "hull": "{{l10n:hull}}",       // body / корпус
        "chassis": "{{l10n:chassis}}", // suspension / ходовая
        "gun": "{{l10n:gun}}",         // gun / орудие
        "unknown": ""                  // unknown / неизвестно
      },
      "team-dmg":{
        "ally-dmg": "",  // ally / союзник
        "enemy-dmg": "", // enemy / противник
        "player": "",    // self damage / урон по себе
        "unknown": ""    // unknown / неизвестно
      },
      "c:team-dmg":{
        "ally-dmg": "#A0CFFF",  // ally / союзник
        "enemy-dmg": "#CCCCCC", // enemy / противник
        "player": "#B9FFA1",    // self damage / урон по себе
        "unknown": "#FFFFFF"    // unknown / неизвестно
      },
	  "c:shadow-text":{
        "damage" : "#FF0000", // уменьшение (урон)
		"nodamage" : "#000000", // без изменений (без урона)
		"repair" : "#006400" // увеличение (ремонт)
      },
      "costShell":{
        "gold-shell": "",   // gold / золото
        "silver-shell": "", // credits / кредиты
        "unknown": ""       // unknown / неизвестно
      },
      "c:costShell":{
        "gold-shell": "#FFCC66",   // gold / золото
        "silver-shell": "#CCCCCC", // credits / кредиты
        "unknown": "#FFFFFF"              // unknown / неизвестно
      },
      "showHitNoDamage": true,
      "groupDamagesFromFire": true,
      "groupDamagesFromRamming_WorldCollision": true,
      //TO DO
      "shadow": { 
        "distance": 1,
        "angle": 90,
        "color": "#000000",
        "alpha": 85,
        "blur": 5,
        "strength": 3,
        "hideObject": false,
        "inner": false,
        "knockout": false,
        "quality": 1 
      },
	  
      "formatHistory": "<textformat tabstops='[25,90,135,250]'><font color='#999999' size='13'>{{number%2d~.}}</font><tab><font size='14' color='{{c:dmg-kind}}'><b>{{hit-effects}}</b> {{critical-hit}}{{splash-hit}}<tab>{{dmg-kind}}</font><tab><font size='14' color='{{c:vtype}}'>{{vtype}}</font> <font size='14' color='{{c:team-dmg}}'>{{vehicle}}</font></textformat>"
	  //"formatHistory": "<textformat tabstops='[30,110,170]'><font size='14'>{{number%2d~.}}</font><tab><font color='{{c:dmg-kind}}'><b>{{hit-effects}}</b>{{critical-hit}}{{splash-hit}}<tab>{{dmg-kind}}</font><tab><font color='{{c:team-dmg}}'>{{vehicle}}</font></textformat>"
    },
    "logAlt": {
      "$ref": { "path":"damageLog.log" },
      "showHitNoDamage": true,
      "formatHistory": "<textformat tabstops='[25,90,135,250,335]'><font color='#999999' size='13'>{{number%2d~.}}</font><tab><font size='14' color='{{c:dmg-kind}}'><b>{{dmg-ratio}} %</b> {{critical-hit}}{{splash-hit}}<tab>{{dmg-kind}}</font><tab><font color='{{c:vtype}}'>{{vtype}}</font> <font color='{{c:team-dmg}}'>{{name}}</font><tab><font color='#FFFFFF'><b>{{gun-caliber}} mm</b><tab>| {{comp-name}}</font></textformat>"
    },
    "lastHit": {
      "$ref": { "path":"damageLog.log" },
      "x": 0,
      "y": -150,
      "showHitNoDamage": true,
      "timeDisplayLastHit": 5,
      //TO DO
      "shadow": { 
        "distance": 0,
        "blur": 6,
        "strength": 6,
        "color": "{{dmg=0?#000000|#770000}}"
      },
  "formatLastHit": "<p align='center'><font size='30' color='{{c:dmg-kind}}'><b>{{hit-effects}} {{type-shell}}</b></font><br><font size='24' color='{{team-dmg}}'>{{vehicle}}</font></p>"
    }
  }
}